summaryrefslogtreecommitdiff
path: root/editors/vi/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'editors/vi/setup.sh')
-rwxr-xr-xeditors/vi/setup.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/editors/vi/setup.sh b/editors/vi/setup.sh
index 2752651..40b18e3 100755
--- a/editors/vi/setup.sh
+++ b/editors/vi/setup.sh
@@ -4,7 +4,13 @@ set -e
export PREFIX=${HOME}/.local
+if which tcc
+then
cd vi
-make
-make install
-
+./configure
+CC=tcc make
+CC=tcc make install
+else
+echo 'no tcc, compile manually'
+exit 1
+fi